package com.antai.sport.http.server.management.api.business.course.service;

import com.antai.sport.http.server.management.api.business.course.dto.CoursePageDTO;
import com.antai.sport.http.server.management.api.business.course.mapper.CourseBusinessMapper;
import com.antai.sport.http.server.management.api.business.course.vo.CoursePageVO;
import com.antai.sport.http.server.repository.course.entity.Course;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class CourseService {

    @Resource
    private CourseBusinessMapper courseBusinessMapper;

    public CoursePageVO getCoursePage(CoursePageDTO dto){
        CoursePageVO result = new CoursePageVO();
        result.setPageNo(dto.getPageNo());
        Page<Course> pageParam = new Page<>(dto.getPageNo(),dto.getPageSize());
        pageParam.addOrder(new OrderItem("id",false));
        IPage<Course> coursePage = courseBusinessMapper.getCoursePage(pageParam);
        result.setData(coursePage.getRecords());
        result.setTotalCount(coursePage.getTotal());
        return result;
    }

}
